/* Design Token 케밥케이스로 작성 */
@supports (padding: env(safe-area-inset-top)) {
  :root {
    --safe-top: env(safe-area-inset-top);

    --safe-bottom: env(safe-area-inset-bottom);
  }
}

:root {
  /* 상단,헤더,하단 바 */
  --safe-top: 0px;
  --safe-bottom: 0px;

  /* 헤더 높이 */
  --header-h-mobile: 56px;
  --header-h-tablet: 64px;

  /* 하단 바 높이 */
  /* --bottom-bar-h: 64px; */
  --bottom-bar-h: 50px;

  /* 인디케이터바 */
  --indicator-apple: 34px;
  --indicator-android: 24px;

  /* colors */
  /* Primary */
  --green-100: #cafbd8;
  --green-200: #91f7af;
  --green-300: #57f386;
  --green-400: #2bce5c;
  --green-500: #1bc54e;
  --green-600: #0a8930;
  --green-700: #06501c;
  --green-800: #021708;

  /* Gray */
  --white: #ffffff;
  --gray-100: #f5f5f5;
  --gray-200: #e5e5e5;
  --gray-300: #d4d4d4;
  --gray-400: #a3a3a3;
  --gray-500: #737373;
  --gray-600: #525252;
  --gray-700: #404040;
  --gray-800: #262626;
  --gray-900: #171717;
  --black: #000000;

  /* Sementic */
  --accent: #2563eb;
  --error: #d32f2f;
  --success: #33a137;
  --warning: #ffa000;

  /* Spacing */
  --spacing-4: 4px;
  --spacing-8: 8px;
  --spacing-12: 12px;
  --spacing-14: 14px;
  --spacing-16: 16px;
  --spacing-18: 18px;
  --spacing-20: 20px;
  --spacing-24: 24px;

  /* Font Size */
  --font-12: 12px;
  --font-14: 14px;
  --font-16: 16px;
  --font-18: 18px;
  --font-20: 20px;
  --font-22: 22px;
  --font-24: 24px;
  --font-28: 28px;
  --font-36: 36px;
  --font-48: 48px;

  /* System Token */
  /* Background */
  --color-bg-primary: var(--gray-100);
  --color-bg-inverse: var(--gray-900);

  /* Text */
  --color-text-primary: var(--gray-900);
  --color-text-inverse: var(--gray-100);

  /* Responsive */
  /* Layout Spacing */
  --layout-padding-sm: 16px;
  --layout-padding-md: 24px;

  /* Container */
  --container-max: 1280px;
}

@import "./fonts.css";
/* Typography */
.heading-1 {
  font-size: var(--font-3xl);
  font-weight: 700;
}
.heading-2 {
  font-size: var(--font-2xl);
  font-weight: 700;
}
.heading-3 {
  font-size: var(--font-lg);
  font-weight: 600;
}
.heading-4 {
  font-size: var(--font-md);
  font-weight: 600;
}
.body-text {
  font-size: var(--font-md);
  font-weight: 400;
}
.caption {
  font-size: var(--font-sm);
  font-weight: 400;
}

/* css 리셋 */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
}
body {
  overflow-x: hidden;
  background-color: var(--white);
  font-family: "Pretendard", sans-serif;
  font-size: 16px;
  line-height: 36px;
  color: var(--black);
  letter-spacing: -0.02em;
  transition: opacity 0.4s ease;
  scroll-behavior: smooth;
  opacity: 1;
}

body.fade-out {
  opacity: 0;
}
section {
  width: 100%;
  display: flex;
  padding-top: 56px;
  padding-bottom: 90px;
  flex-direction: column;
}
ul,
li {
  list-style: none;
}
a {
  color: inherit;
  text-decoration: none;
}
img {
  width: 100%;
  height: 100%;
  display: block;
  border: 0;
  object-fit: cover;
  /* 이미지는 인라인이라 블락으로 하면 한줄 다 차지하기ㄱ때문에 밑에 필요없음 */
  /* vertical-align: middle; */
}
button {
  /* 최소 터치 영역 확보 */
  min-width: 44px;
  min-height: 44px;
  padding: 0.5rem 1rem;
  border: none;
  background: none;
  color: inherit;
  cursor: pointer;
  border-radius: var(--spacing-12);
  appearance: none;

  font: inherit;
}
button:focus-visible {
  outline: 2px solid var(--success);
  outline-offset: 2px;
}
.title {
  /* padding: 0 0 8px 0; */
  font-size: var(--font-16);
  font-weight: 600;
}
.sub-title {
  font-size: 12px;
  line-height: 20px;
  font-weight: 400;
  color: var(--gray-500);
}

input {
  width: 100%;

  margin: 0;
  padding: 0;
  padding: var(--spacing-16) var(--spacing-12);

  border: 1px solid var(--gray-200);
  background: none;

  background-color: var(--gray-100);
  font-size: 14px;
  font-weight: 400;
  color: #000000;
  cursor: pointer;
  /* appearance: none; */
  -webkit-appearance: none;
  -moz-appearance: none;
  border-radius: var(--spacing-12);
}
input:focus {
  outline: none;
}
/* 하단 네비게이션 */
.bottom-nav {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 98px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 16px;
  padding-bottom: env(safe-area-inset-bottom);
  border-top: 1px solid #f0f0f0;
  box-shadow: 0 1px 10px 2px rgba(0, 0, 0, 0.2);
  z-index: 2;
  background: white;
}
.bottom-nav a {
  flex: 1;
  color: #999;
  text-decoration: none;
}

.bottom-nav a.active span {
  font-weight: 600;
  color: var(--green-500);
}

.bottom-nav-container {
  width: 100%;
  height: 80%;
  display: flex;
  gap: 8px;
  align-items: center;
  justify-content: space-around;
  flex-direction: row;
  padding: 0;
}
.nav-item {
  width: 100%;
  display: flex;
  gap: 8px;
  align-items: center;
  justify-content: center;
  flex: 1;
  flex-direction: column;
  color: var(--gray-300);
}

.nav-item img {
  width: 32px;
  height: 32px;
  flex-shrink: 0;
  object-fit: contain;
}

.nav-item span {
  font-size: 12px;
  line-height: 1.2;
  white-space: nowrap;
}
.nav-text.active {
  color: var(--green-400);
}

/* 비활성 상태 */
button:disabled {
  cursor: not-allowed;

  opacity: 0.5;
}

/* Component Token */
/* Layout */
.layout {
  position: relative;
  width: 100%;
  min-height: 100vh;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.container {
  position: relative;
  width: 100%;
  max-width: var(--container-max);
  /* flex: 1; */
  padding: 0 16px;
  background-color: var(--white);
}

.top {
  width: 100%;
  height: 44px;
}
.home {
  width: 100%;
  display: flex;
  /* padding-top: 80px; */
  /* padding-bottom: 230px; */
}
.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  width: 100%;
  max-width: var(--container-max);
  height: 48px;
  padding: 0 16px;
  border-bottom: 1px solid var(--gray-200);
  /* padding-top: env(safe-area-inset-top); */
  z-index: 100;
  background-color: var(--white);
}

.header-contents {
  width: 100%;
  max-width: var(--container-max);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 0;
}
.back-btn {
  width: 24px;
  height: 24px;
  display: flex;
  align-items: center;
}
.header-title {
  display: flex;
  justify-content: center;
  flex: 1;
  text-align: center;
}
.header .logo {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
}
.header .logo a {
}
.header .logo img {
}
.user-menu-mobile {
  display: flex;
  gap: var(--spacing-8);
  font-size: 18px;
  color: var(--gray-700);
}
.fa-bell {
  font-size: 19px;
}
.user-menu-desktop {
  display: none;
}

.card-container {
  display: grid;
  gap: var(--spacing-16);
  padding: 16px 0;
  grid-template-columns: 1fr;
}
/* Image */
.thumbnail {
  overflow: hidden;
  aspect-ratio: 335/99;
  border-radius: var(--spacing-24);
}
.card-thumbnail {
  overflow: hidden;
  aspect-ratio: 335/99;
}
.btn {
  width: 100%;
  display: flex;
  justify-content: center;
  margin: 0;
  padding: 0;
  padding: var(--spacing-8) var(--spacing-12);

  border: none;
  background: none;
  background-color: var(--green-500);
  font-size: 14px;
  font-weight: 500;
  color: var(--white);
  cursor: pointer;
  /* 기본 스타일 제거 */
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  border-radius: var(--spacing-12);
}

/* 회원가입 */

.wrap-column {
  width: 100%;
  max-width: 535px;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.before {
  width: 100%;
  min-width: 335px;
  height: 56px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 40px 0;
  border-bottom: 1px solid var(--gray-200);
  color: #000000;
}
.before i {
  width: 24px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #000000;
}
.fa-angle-left {
  font-size: 20px;
}
.page-title {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}
.page-title h2 {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 20px 0;
}
.signup-title {
  gap: 4px;
  padding-bottom: 8px;
}
.signup-title p {
  padding-left: 6px;
}
.signup-title .signup-text {
}
.tel-wrap {
  display: flex;
  gap: 4px;
  flex-direction: row;
}
.tel-wrap .tel {
  display: flex;
  /* width: 80%; */
  flex: 2.5;
}
.tel-wrap .authnum {
  display: flex;
  justify-content: center;
  flex: 1.5;
  border: 1px solid var(--gray-300);
  background-color: var(--gray-200);
  color: var(--gray-400);
  cursor: not-allowed;
}
.authnum-active {
  display: flex;
  justify-content: center;
  flex: 1.5;
  border: 1px solid var(--gray-700);
  background-color: var(--gray-600);
  color: var(--gray-100);
}
.authnum-active:hover {
  display: flex;
  justify-content: center;
  flex: 1.5;
  border: 1px solid var(--gray-900);
  background-color: var(--gray-800);
  color: var(--gray-100);
}
.authnum-complete {
  display: flex;
  justify-content: center;
  flex: 1.5;
  border: 1px solid var(--green-500);
  background-color: var(--green-400);
  color: var(--white);
}
.authnum-complete:hover {
  display: flex;
  justify-content: center;
  flex: 1.5;
  border: 1px solid var(--green-500);
  background-color: var(--green-500);
  color: var(--white);
}

.signup {
  width: 100%;
  display: flex;
}
.pw-error,
.pw-complete {
  display: none;
  margin-top: 4px;
  padding-left: 6px;
  font-size: 12px;
}

.pw-error {
  padding-left: 6px;
  font-size: 12px;
  font-weight: 600;
  color: var(--error);
}

.pw-complete {
  padding-left: 6px;
  font-size: 12px;
  font-weight: 600;
  color: var(--success);
}

.menu-bar {
  padding-bottom: env(safe-area-inset-bottom);
}
.save-mood {
  margin-bottom: 24px;
}
/* 하단 네비 */
.bottom-nav a.active span {
  font-weight: 600;
  color: #0ec244;
}

.footer {
  width: 100vw;
  margin-left: calc(-50vw + 50%);
  height: 140px;
  display: flex;
  gap: 24px;
  align-items: center;
  justify-content: space-between;
  padding: 24px 16px;
  background-color: var(--gray-100);
  font-size: 12px;
  color: var(--gray-500);
}
.footer-logo {
  width: 40%;
  height: auto;
}
.footer-logo img {
  width: 100%;
}
.footer-info {
  display: flex;
  flex-direction: column;
}
.footer-link {
  line-height: 1.2;
  gap: 8px;
}

/* 반응형 */
@media screen and (min-width: 768px) {
  :root {
    --font-sm: 15px;
    --font-md: 17px;
    --font-lg: 20px;
    --font-xl: 22px;
    --font-2xl: 26px;
    --font-3xl: 30px;
    --font-4xl: 36px;
    --font-5xl: 44px;
    --font-6xl: 56px;

    /* 하단 바 */
    --bottom-bar-h: 112px;
  }
  section {
    width: 100%;
    display: flex;
    padding-top: 56px;
    flex-direction: column;
  }

  .container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    flex-direction: column;
    padding: 0 24px;
  }

  .header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    max-width: var(--container-max);
    padding: 16px 24px;
    border-bottom: 1px solid var(--gray-200);
    /* padding-top: env(safe-area-inset-top); */
    z-index: 100;
    background-color: var(--white);
  }

  .button {
    width: 100%;
    padding-right: 24px;
    padding-bottom: 40px;
    padding-left: 24px;
  }

  .intro {
    padding: 24px 24px 180px 24px;
  }
  /* 푸터 */
  .footer {
    width: 100vw;
    margin-left: calc(-47vw + 50%);
    height: 140px;
    display: flex;
    gap: 24px;
    align-items: center;
    justify-content: space-between;
    padding: 24px 24px;
    background-color: var(--gray-100);
    font-size: 12px;
    color: var(--gray-500);
  }
  .footer-logo {
    width: 30%;
    height: auto;
  }
  .footer-logo img {
    width: 100%;
  }
  .footer-info {
    display: flex;
    justify-content: flex-end;
  }
  .footer-info .copyright {
    display: flex;
    justify-content: flex-end;
  }
  .footer-link {
    line-height: 1.2;
    gap: 8px;
    display: flex;
  }
  .bottom-nav {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 112px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 16px 24px 24px 24px;
    border-top: 1px solid #f0f0f0;
    z-index: 2;
    background: white;
  }
}

/* desktop */
@media screen and (min-width: 1024px) {
  :root {
    --font-sm: 16px;
    --font-md: 18px;
    --font-lg: 22px;
    --font-xl: 24px;
    --font-2xl: 28px;
    --font-3xl: 32px;
    --font-4xl: 40px;
    --font-5xl: 52px;
    --font-6xl: 64px;
  }
  section {
    width: 100%;
    display: flex;
    padding-top: 56px;
    flex-direction: column;
  }
  .header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 72px;
    max-width: var(--container-max);
    padding: 16px 40px;
    border-bottom: 1px solid var(--gray-200);
    /* padding-top: env(safe-area-inset-top); */
    z-index: 100;
    background-color: var(--white);
  }

  .user-menu-mobile {
    display: none;
  }
  .user-menu-desktop {
    display: flex;
    gap: var(--spacing-8);
    align-items: center;
    justify-content: flex-end;
    font-size: 24px;
    color: var(--gray-700);
  }
  .fa-bell {
    font-size: 24px;
  }
  /* 검색창 */
  .search-box {
    position: relative;
    width: 100%;
    color: var(--gray-400);
  }
  .search-box i {
    position: absolute;
    top: 14px;
    left: 8px;
    font-size: 16px;
  }
  .search-box .search-input {
    width: 400px;
    height: 24px;
    padding-left: 32px;
  }
  .search-box .search-input:focus {
    border: 1px solid var(--green-500);
    background-color: var(--white);
  }

  .container {
    max-width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
  }
  .onboarding-logo-wrap {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
  }

  .before {
    width: 100%;
    height: 64px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 40px 0;
    border-bottom: none;
    color: #000000;
  }
  .before i {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000000;
  }
  .fa-angle-left {
    font-size: 24px;
  }
  /* 푸터 */
  .footer {
    width: 100vw;
    margin-left: calc(-47vw + 50%);
    height: 140px;
    display: flex;
    gap: 24px;
    align-items: center;
    justify-content: space-between;
    padding: 24px 40px;
    background-color: var(--gray-100);
    font-size: 12px;
    color: var(--gray-500);
  }
  .footer-logo {
    width: 30%;
    height: auto;
  }
  .footer-logo img {
    width: 100%;
  }
  .footer-info {
    display: flex;
    justify-content: flex-end;
  }
  .footer-info .copyright {
    display: flex;
    justify-content: flex-end;
  }
  .footer-link {
    line-height: 1.2;
    gap: 8px;
    display: flex;
  }
  .bottom-nav {
    display: none;
  }
}
@media screen and (min-width: 1440px) {
  section {
    width: 100%;
    display: flex;
    padding-top: 56px;
    flex-direction: column;
  }
  .header {
    position: fixed;
    top: 0;
    width: 100%;
    max-width: 2560px;
    padding: 16px 16px;
    border-bottom: 1px solid var(--gray-200);
    /* padding-top: env(safe-area-inset-top); */
    z-index: 100;
    background-color: var(--white);
  }

  .header-contents {
    width: 100%;
    max-width: 2560px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 0;
  }
}
